Ontology

Update a relation type

PATCH
/api/v1/ontology/relation-types/{relation_type_id}

Authorization

bearerAuth
AuthorizationBearer <token>

Console session token (Authorization: Bearer <session>) or product API key (Authorization: Bearer <api-key> or x-api-key). Session tokens are validated via Better Auth get-session; API keys against the shared database.

In: header

Path Parameters

relation_type_id*Relation Type Id

Header Parameters

authorization?string|null
x-api-key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/ontology/relation-types/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "ontology_id": "string",  "key": "string",  "label": "string",  "inverse_label": "string",  "source_concept_type_id": "string",  "target_concept_type_id": "string",  "cardinality": "string",  "created_at": "2019-08-24T14:15:22Z"}